## 安装
```
npm install itheima-tools
```

## 导入
```js
const itheima = require("./itheima-tools/index")
```

## 格式化时间
```js
//调用格式化时间的dateformat
const str = itheima.dataFormat(new Date())
```

## 转义 HTML 字符的函数
```js
// 待转换的 html 字符串
const htmlStr = '<h1 title="abc">这是一个h1标签<span>123</span></h1>'
// 调用 htmlEscape 方法进行转换
const newStr = itheima.htmlEscape(htmlStr)
// 转换结果 &lt;h1 title=&quot;abc&quot;&gt;这是一个h1标签&lt;span&gt;123&lt;/span&gt;&lt;/h1&gt;
console.log(newStr)
```

## 还原 HTML 字符的函数
```js
// 待还原的 html 字符串
const htmlStr = '&lt;h1 title=&quot;abc&quot;&gt;这是一个h1标签&lt;span&gt;123&lt;/span&gt;&lt;/h1&gt;'
// 调用 htmlUnEscape 方法进行转换
const newStr = itheima.htmlUnEscape(htmlStr)
// 转换结果  <h1 title="abc">这是一个h1标签<span>123</span></h1>
console.log(newStr)
```

## 开源协议
ISC